package com.zxhy.hfilemanagermaster.glide

import android.content.Context
import android.net.Uri
import android.widget.ImageView
import com.bumptech.glide.Glide
import java.io.File
import java.net.URI

fun loadIntoImageView(context: Context, uri: String, imageView: ImageView) {
    Glide.with(context)
        .load(uri)
        .centerCrop()
        .into(imageView)
}

fun loadIntoImageView(context: Context, file: File, imageView: ImageView) {
    Glide.with(context)
        .load(file)
        .centerCrop()
        .into(imageView)
}


fun loadIntoImageView(context: Context, uri: Uri, imageView: ImageView) {
    Glide.with(context)
        .load(uri)
        .centerCrop()
        .into(imageView)
}